
QGIS Application - Bug report #3325

Crash when using graduated renderer in Jenks mode with classes >=  amount of data

2010-12-12 09:33 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13385

Description

Load a layer of point features.  

Change the style to use the graduated renderer in "Jenks" mode.  

The "classify" button will crash QGIS if the number of classes is greater than or equal to the number of points in the layer.

Associated revisions

Revision 5f386cbf - 2010-12-13 04:01 PM - cfarmer -

fixes bug when specifying number of classes greater than number of features. Fixes #3325

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14900 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c4413b62 - 2010-12-13 04:01 PM - cfarmer -

fixes bug when specifying number of classes greater than number of features. Fixes #3325

git-svn-id: http://svn.osgeo.org/qgis/trunk@14900 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-12-13 07:02 AM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Well why would you want to go and do a thing like that? ;)

Fixed in commit:c4413b62 (SVN r14901).

Carson
